• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
CodeIgniter 2.02, PHP 5.36, Apache 2, MS SQL Server 2008 on Windows

#1
[eluser]tedroche[/eluser]
My customer runs WAMP: Windows, Apache, MS SQL Server 2008 as the database backend, PHP 5.36 and CodeIgniter 2.02. There were some issues. I'd like to share some of our workarounds and hope to get some of our work folded back into the mainline code. Many eyes make shallow bugs, and I'd appreciate the community support as well as the chance to give something back. If there's interest, I'll discuss with the client. The issues we ran into included:

1. PHP 5.3 no longer ships an mssql module. (http://us3.php.net/manual/en/intro.mssql.php)

2. The Microsoft supplied "PHP Driver for SQL Server" is Windows only and 32-bit only. (http://msdn.microsoft.com/en-us/library/cc296172.aspx)

3. That means you need to use the 32-bit WAMPServer (http://www.wampserver.com/en/) or equivalent, in order to use the 32-bit driver. However, this will work with 64-bit SQL Server and will install on 64-bit Windows OSes.

4. We forked the CodeIgniter mssql driver set and created an sqlsrv set similar to, but different from: http://www.kaweb.co.uk/uncategorized/mss...deigniter/
- affected_rows() needed some reworking - using result_id rather than conn_id
- _execute() needed additional params for SELECT, but not INSERT, UPDATE, DELETE
- _limit() does not have the same concept as MySQL (number and offset) and we reworked a work-around found on these forums.

If I'm the only one deploying on WAMP, I'll just keep going. If there's interest, especially in getting it into the actual product code, I'll see if I can persuade the client that this would be all upside for them.


Messages In This Thread
CodeIgniter 2.02, PHP 5.36, Apache 2, MS SQL Server 2008 on Windows - by El Forum - 07-14-2011, 01:14 PM

Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2021 MyBB Group.